Official Selenium Blog

February 23, 2010

Selenium 1.0.3 Released

Filed under: Releases — plightbo @ 6:07 pm UTC

Hot off the heals of 1.0.2, we’re releasing Selenium Remote Control 1.0.3. You can download it now.

There is no functional difference between this version and 1.0.2, other than it is packaged up a little nicer and we’ve clarified the relationship between selenium-server and the client drivers. That is: we are not releasing new client drivers with future 1.x releases. The reason is that we locked down the API in version 1.0.1 and so there is no need to push out the same code each time. As such, when you download 1.0.3, you’ll see all the client drivers are labeled version 1.0.1, which is expected.

This release also is zipped up in a way that is compatible with all operating systems. The 1.0.2 release had some reported issues on Windows that have been fixed.

Finally, we also had many requests from Maven users. While we no longer use Maven to build Selenium, we are including pom releases for both the standalone server (ie: selenium-server.jar) and the “coreless” server (ie: selenium-server-coreless.jar). We hope they will be in the central repository shortly.

31 Comments »

  1. Hello,

    I wonder if someone can help me with a problem I’m having with Selenium RC 1.0.3 and that was already having with version 1.0.1 which is the following:
    When I run my Test Suite created with the Selenium IDE 1.0.4 using the Selenium RC in the browser IE8 the Test Suit I created works without any problems running to the end, but if I try to run in Firefox (3.5.7) or GoogleChrome (4) and in the Opera (10.10) only runs the first Test Case successfully stopping in the end without going to the next. Not return any error just does not pass to the second of my Test Case in my Test Suite.

    Does anyone could help me?

    Thanks

    Comment by Eduardo Ribeiro — February 23, 2010 @ 10:43 pm UTC | Reply

  2. Hello,

    I wonder if someone can help me with a problem I’m having with Selenium RC 1.0.3 and that was already having with version 1.0.1 which is the following:
    When I run my Test Suite created with the Selenium IDE 1.0.4 using the Selenium RC in the browser IE8 the Test Suit I created works without any problems running to the end, but if I try to run in Firefox (3.5.7) or GoogleChrome (4) and in the Opera (10.10) only runs the first Test Case successfully stopping in the end without going to the next. Not return any error just does not pass to the second of my Test Case in my Test Suite.

    Does anyone could help me?

    Thanks

    Comment by Eduardo Ribeiro — February 23, 2010 @ 11:19 pm UTC | Reply

  3. Hi,
    There is nothing in this zip file when I go to extract it, just an empty readme file. What am I doing wrong?
    Thanks
    Ade

    Comment by Ade — February 24, 2010 @ 6:10 am UTC | Reply

  4. Hello,

    I have solved the problem. The problem is that Selenium RC when recording the Test Cases and Test Suite is not recording with the correct extension “.html”. We need to remane the extensions to “.html” of the Test Cases and the Test Suite files and will work.

    Comment by Eduardo Ribeiro — February 24, 2010 @ 10:05 am UTC | Reply

  5. I installed this version. When I start up the Se-server, I see:
    09:38:55.149 INFO – v2.0 [a2], with Core v2.0 [a2]

    Does this mean that it is actually a 2.0 alpha release?

    Comment by siking — February 24, 2010 @ 4:41 pm UTC | Reply

  6. It would be nice if you could publish the fixes that went into the Selenium 1.3 Release. I just downloaded 1.3 release and noticed that support for Google Chrome on Mac OS is still broken.

    Comment by Thomas Crowne — February 25, 2010 @ 5:18 am UTC | Reply

  7. i meant to say 1.0.3

    Comment by Thomas Crowne — February 25, 2010 @ 5:19 am UTC | Reply

  8. I am using maven and have changed my dependency to version 1.0.3.
    When the selenium RC server is attempted to be started it hangs, and in the server.log I get:

    13:21:00,904 INFO [org.openqa.selenium.server.SeleniumServer] Java: Sun Microsystems Inc. 11.3-b02
    13:21:00,905 INFO [org.openqa.selenium.server.SeleniumServer] OS: Linux 2.6.18-92.el5 amd64
    13:21:00,910 INFO [org.openqa.selenium.server.SeleniumServer] v2.0 [a2], with Core v2.0 [a2]

    Shouldn’t I be expecting v1.0.3 and not v2.0 ?
    Has the incorrect version been released and deployed to the maven repository ?

    Comment by Adrian Lewty — February 26, 2010 @ 3:25 am UTC | Reply

  9. I’m seeing the same issue:

    I mentioned it on the forum here:
    http://groups.google.com/group/selenium-users/browse_thread/thread/1c01e7675a39970a

    Looks like the wrong version of Selenium was uploaded?

    Comment by Ian — February 26, 2010 @ 11:04 am UTC | Reply

  10. Hi,

    It’s nice to see the latest version of selenium server.

    In order to run test suite on Firefox 3.6, I upgraded existing selenium server 1.0.1 to 1.0.3. But immediately after replacing latest selenium-server.jar I have been getting an error “XHR ERROR: URL = http://localhost:8080/app/ Response_Code = 500 Error_Message = Internal Server Error on session 9201117329044c9dbc146dcdb7c77cc5″ to dig out the cause of the error I did a few of permutation combinations of selenium servers and browsers. They are as below:

    1. I ran a test suite with latest selenium server (1.0.3) on Firefox 3.0.x and got the same error.
    2. I ran a test suite with old selenium server (1.0.1) on Firefox 3.0.x and it is running fine.
    3. Then I patched old selenium server (1.0.1) on order to run on the Firefox 3.6 and I could able to run it successfully. Here what I mean by patched is to change “MaxVersion” number of install.rdf file from seleium-server.jar.

    After conducting above tests I suspect on latest selenium server as it was getting failed to FF 3.6 and FF 3.0!! I am clueless and thinking what goes wrong with latest server? Or maybe I am missing some necessary configuration?

    The bottom-line is what all changes do I need to do run test suite on Firefox 3.6 using latest selenium server (1.0.3)?

    Any pointers or input is highly appreciated.

    Comment by Pritesh — March 5, 2010 @ 10:36 am UTC | Reply

  11. I’m also using maven and after bumping my dependency on selenium-server to 1.0.3 I get a similar problem as the previous comment (suggesting v2.0 not 1.0.3). But I also get a stack trace suggesting that there is something missing in the classpath. Are there other dependencies that I now have to add?

    11:37:48.180 INFO – Java: Apple Inc. 14.3-b01-101
    11:37:48.182 INFO – OS: Mac OS X 10.6.2 x86_64
    11:37:48.189 INFO – v2.0 [a2], with Core v2.0 [a2]

    java.lang.NoClassDefFoundError: org/openqa/selenium/NetworkUtils
    at org.openqa.selenium.server.SeleniumServer.createWebDriverRemoteContext(SeleniumServer.java:313)
    at org.openqa.selenium.server.SeleniumServer.assembleHandlers(SeleniumServer.java:294)
    at org.openqa.selenium.server.SeleniumServer.createJettyServer(SeleniumServer.java:256)
    at org.openqa.selenium.server.SeleniumServer.(SeleniumServer.java:229)
    at org.openqa.selenium.server.SeleniumServer.(SeleniumServer.java:203)
    at se.solid.arx.web.modules.SeleniumSetUp.setUp(SeleniumSetUp.java:27)
    at com.thoughtworks.selenium.SeleneseTestCase.runBare(SeleneseTestCase.java:212)
    .
    .
    .

    Comment by Oscar Lantz — March 10, 2010 @ 2:10 pm UTC | Reply

    • It looks like both the 1.0.2 and 1.0.3 releases that have been deployed to maven central are incomplete (or haven broken pom-files).

      If you look at the pom file at http://repo1.maven.org/maven2/org/seleniumhq/selenium/server/selenium-server/1.0.3/ it refers to an artifact that should have this filename: selenium-server-1.0.3.jar. That file is not there. There is jar file called selenium-server-1.0.3-standalone.jar. And if you look at the 1.0.1 pom file it is totally different, doing some trix with the standalone jar-file. So something is definatly missing in the 1.0.2 and 1.0.3 deployments of selenium-server.

      Please fix this. To get around this issue I will have to deploy selenium-server-1.0.3.jar to our inhouse nexus repository.

      Comment by Oscar Lantz — March 11, 2010 @ 8:09 am UTC | Reply

    • I know this is an old post but for future ref,I had the same problem, just manually download and install the jar in mvn:
      Installing jar on maven:
      mvn install:install-file -DgroupId=org.seleniumhq.selenium.server -DartifactId=selenium-server -Dversion=1.0.3 -Dpackaging=jar -Dfile=selenium-server-1.0.3/selenium-server.jar

      Add dependency:
      org.seleniumhq.selenium.server
      selenium-server
      1.0.3
      test

      Comment by Caroline — February 11, 2011 @ 2:21 pm UTC | Reply

  12. In my pom.xml I have:

    org.seleniumhq.selenium.server
    selenium-server-coreless
    ${selenium-version}

    org.seleniumhq.selenium.client-drivers
    selenium-java-client-driver
    1.0.1

    org.seleniumhq.selenium.core
    selenium-core
    1.0.1

    And yet my JUnit 4 test class that fires up a SeleniumServer gets:

    java.lang.NoClassDefFoundError: org/openqa/selenium/NetworkUtils
    at org.openqa.selenium.server.SeleniumServer.createWebDriverRemoteContext(SeleniumServer.java:313)
    at org.openqa.selenium.server.SeleniumServer.assembleHandlers(SeleniumServer.java:294)

    Which dependency am I missing?

    Comment by John Crossman — March 12, 2010 @ 7:36 pm UTC | Reply

    • For the record, ${selenium-version} = 1.0.3 in my post above.

      Comment by John Crossman — March 12, 2010 @ 7:37 pm UTC | Reply

  13. Can anyone tell me,is it possible to automate share point people picker control through selenium in IE browser?
    When i record through IDE it is detecting the people picker sharepoint control through ID in Firefox, during play back in firefox selenium is detecting that control. But while play back in IE8 browser, it is not detecting the people picker sharepoint control. please let me know if there is a solution.

    Comment by Avanthi — March 14, 2010 @ 9:00 am UTC | Reply

    • I am having a an issue with the people picker control as well. with SP 2010 the control responds to key presses, however when using the typekeysandwait it is not picking up the events. The structure is most complicated with divs, wrapping text areas, and the events send ajax requests to update hiddin spans and input fields with embeded xml for multiple people. The onkeyevents appear to be attached to the wrapper div so would need the bubbeup to be engaged. I have also tried to create the selenium command with various elements in the structure to no avail. Any help would be most appreciated.

      Comment by Joseph — March 13, 2013 @ 11:57 pm UTC | Reply

  14. Any reason why the dependencies are bundled in one big jar file. Could do with separate jar files and Selenium RC jar just by itself.
    Didnt want to fix the install.rdf file manually to support Firefox 3.6.*. But looks like I can do without 15MB of a single Jar file that is selenium server 1.0.3

    Comment by Luis — March 15, 2010 @ 4:20 am UTC | Reply

  15. Sorry for the dup – left this comment originally at the 1.0.2 release announcement.

    Question: what svn revision is 1.0.3 ? (Didn’t see any relevant tags or branches in the repository.) Thanks!

    Comment by jpick — April 9, 2010 @ 1:46 am UTC | Reply

  16. Selenium 1.0.3 is still not in the central Maven repository. Any news of when it will be available ? Thanks

    Comment by Antonio — April 22, 2010 @ 8:33 am UTC | Reply

  17. Hello,

    first i tried to download the selenium-rc ZIP from the selenium home page, but the version couldn’t unzipped cause of a damaged zip-file.

    After that i tried to download it from this site, but now our kaspersky antivirus software reports:
    Virus/PUS: “PUS:NetTool.Win32.ProxySwitcher.d” found!
    URL: http://selenium.googlecode.com/files/selenium-remote-control-1.0.3.zip

    How i can get an functional and virus free ZIP?

    Mike

    Comment by Mike K. — April 22, 2010 @ 1:04 pm UTC | Reply

  18. I forgot to tell you that my operating system is Windows XP.

    Comment by Mike K. — April 22, 2010 @ 1:07 pm UTC | Reply

  19. [...] of people have asked me what is new with Selenium 1.0.3. Even though Selenium official blog has a post on it, they have not covered some of the more significant points. Here are some things you should [...]

    Pingback by What's new in Selenium 1.0.3 | QA Automation — May 23, 2010 @ 5:29 am UTC | Reply

  20. Here you can find the official selenium website with working zip:
    http://seleniumhq.org/download/

    Comment by jay — May 28, 2010 @ 4:18 pm UTC | Reply

  21. I’ve met same issue with Oscar Lantz and totally agree with him.
    Somebody should fix the deploy on Maven central repository :)

    Comment by Mediocre-Ninja.blogSpot.com — June 15, 2010 @ 3:26 am UTC | Reply

  22. Hello I am getting following error when i am trying to save the publish selenium configuration.
    javax.servlet.ServletException: org.kohsuke.stapler.NoStaplerConstructorException: There’s no @DataBoundConstructor on any constructor of class hudson.plugins.seleniumhq.SeleniumhqPublisher
    org.kohsuke.stapler.Stapler.invoke(Stapler.java:560)
    org.kohsuke.stapler.MetaClass$6.doDispatch(MetaClass.java:181)
    org.kohsuke.stapler.NameBasedDispatcher.dispatch(NameBasedDispatcher.java:30)
    org.kohsuke.stapler.Stapler.invoke(Stapler.java:525)
    org.kohsuke.stapler.Stapler.invoke(Stapler.java:441)
    org.kohsuke.stapler.Stapler.service(Stapler.java:123)
    javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
    hudson.util.PluginServletFilter$1.doFilter(PluginServletFilter.java:94)
    hudson.util.PluginServletFilter.doFilter(PluginServletFilter.java:86)
    hudson.security.csrf.CrumbFilter.doFilter(CrumbFilter.java:47)
    hudson.security.ChainedServletFilter$1.doFilter(ChainedServletFilter.java:84)
    hudson.security.ChainedServletFilter.doFilter(ChainedServletFilter.java:76)
    hudson.security.HudsonFilter.doFilter(HudsonFilter.java:164)

    Comment by vikas — June 21, 2010 @ 11:33 am UTC | Reply

  23. Did anyone ever figure out why, when you download the supposed 1.0.3 version of selenium-server.jar, the VERSION.txt file in there, as well as what you see when starting the server, show that it’s 2.0? Was it just the wrong release? I’m still having problems with 2.0 and want to downgrade to 1.0.3 but I can’t find it. I’d settle for 1.0.2 but I can’t find that either. If all else fails I can go back to 1.0.1 but that means downgrading to Firefox 3.5. :( What is up?

    Comment by Gayle — June 22, 2010 @ 9:44 pm UTC | Reply

  24. Hi,
    I’ve downloaded Selenium 1.0.3. My scripts are written in Python. I’m able to run them successfully with IE 7 and FF3.
    However when I tried to run on Google Chrome, it failed. All I did was replace ‘*firefox’ with ‘*googlechrome’ and tried running my tests.

    selenium = selenium (‘localhost’, str(4444), ‘*googlechrome’, ‘http://www.google.com/’)

    The result was, Google Chrome window is opened. But it’s unable to load the url.
    On the browser, I get the http 400 error page displayed :
    ‘Could not proxy http://www.google.com (java.net.ConnectException: Connection timed out : connect)’

    Anyone know why? Is Google Chrome 5.0 not supported?

    Comment by syuen — June 23, 2010 @ 2:34 am UTC | Reply

  25. Dear Selenium team,
    My project works fine with selenium 1.0.1 and Firefox 3.5. But since I update to selenium 1.0.3 ( and old version happen too) and test on Firefox 3.6 I got following issue
    – After debug though selenium.start(), only 1 window of Firefox is opened ( it suppose to have 2 since I use multi-window mode). Also, after along time waiting, the debug just stuck at selenium.start() ( it likes it not complete this step and so it does not move to the next line for me). Furthermore, when I check my .bat file, found out that the log always stop and INFO – Launching Firefox
    Please help me. Thank you and please forgive me since English is not my native speech !

    Comment by nguyen duong hai — June 24, 2010 @ 10:01 am UTC | Reply

  26. When i tried to run my test case i found given below error

    C:\Current\classes>java newtest
    .E
    Time: 0.203
    There was 1 error:
    1) testnewtest(newtest)java.lang.RuntimeException: Could not start Selenium sess
    ion: Failed to start new browser session: org.openqa.selenium.server.browserlaun
    chers.InvalidBrowserExecutableException: The specified path to the browser execu
    table is invalid.
    at com.thoughtworks.selenium.DefaultSelenium.start(DefaultSelenium.java:
    89)
    at com.thoughtworks.selenium.SeleneseTestBase.setUp(SeleneseTestBase.jav
    a:123)
    at com.thoughtworks.selenium.SeleneseTestBase.setUp(SeleneseTestBase.jav
    a:104)
    at com.thoughtworks.selenium.SeleneseTestCase.setUp(SeleneseTestCase.jav
    a:78)
    at newtest.setUp(newtest.java:9)
    at com.thoughtworks.selenium.SeleneseTestCase.runBare(SeleneseTestCase.j
    ava:212)
    at newtest.main(newtest.java:28)
    Caused by: com.thoughtworks.selenium.SeleniumException: Failed to start new brow
    ser session: org.openqa.selenium.server.browserlaunchers.InvalidBrowserExecutabl
    eException: The specified path to the browser executable is invalid.
    at com.thoughtworks.selenium.HttpCommandProcessor.throwAssertionFailureE
    xceptionOrError(HttpCommandProcessor.java:97)
    at com.thoughtworks.selenium.HttpCommandProcessor.doCommand(HttpCommandP
    rocessor.java:91)
    at com.thoughtworks.selenium.HttpCommandProcessor.getString(HttpCommandP
    rocessor.java:262)
    at com.thoughtworks.selenium.HttpCommandProcessor.start(HttpCommandProce
    ssor.java:223)
    at com.thoughtworks.selenium.DefaultSelenium.start(DefaultSelenium.java:
    81)
    … 16 more

    FAILURES!!!
    Tests run: 1, Failures: 0, Errors: 1

    Comment by sanju — September 16, 2010 @ 4:23 pm UTC | Reply

  27. I forgot to tell the following
    OS windows
    set path as set path=%path%;c:\firefox //setting the path for firefox as firefox installed in the folder c:\firefox

    Comment by sanju — September 18, 2010 @ 10:19 am UTC | Reply


RSS feed for comments on this post. TrackBack URI

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

The Rubric Theme. Create a free website or blog at WordPress.com.

Follow

Get every new post delivered to your Inbox.

Join 581 other followers

%d bloggers like this: